.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the PhysicsShapeQueryParameters.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_PhysicsShapeQueryParameters:

PhysicsShapeQueryParameters
===========================

**Inherits:** :ref:`Reference<class_reference>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------



Member Functions
----------------

+-------+-----------------------------------------------------------------------------------------------------------------+
| void  | :ref:`set_shape<class_PhysicsShapeQueryParameters_set_shape>` **(** :ref:`Resource<class_resource>` shape **)** |
+-------+-----------------------------------------------------------------------------------------------------------------+

Member Variables
----------------

  .. _class_PhysicsShapeQueryParameters_collision_mask:

- :ref:`int<class_int>` **collision_mask**

  .. _class_PhysicsShapeQueryParameters_exclude:

- :ref:`Array<class_array>` **exclude**

  .. _class_PhysicsShapeQueryParameters_margin:

- :ref:`float<class_float>` **margin**

  .. _class_PhysicsShapeQueryParameters_shape_rid:

- :ref:`RID<class_rid>` **shape_rid**

  .. _class_PhysicsShapeQueryParameters_transform:

- :ref:`Transform<class_transform>` **transform**


Member Function Description
---------------------------

.. _class_PhysicsShapeQueryParameters_set_shape:

- void **set_shape** **(** :ref:`Resource<class_resource>` shape **)**


